Thursday, May 1, 2008

Utility Belt: v1.1.0 Released



This version of Utility Belt features a system by Markus Prinz for choosing which gadgets in the belt to equip. We're pushing the metaphor a little but the practical result is you can choose to use only a few elements of Utility Belt, or all of them, or somewhere in between, and that means you can A) customize your IRB much more than before, and B) incorporate Utility Belt gadgets into other systems you create. I've frequently used Utility Belt's hash math in other places, now it's just a matter of

require 'rubygems'
require 'utility_belt'
UtilityBelt.equip(:hash_math)


So go ahead and make with the gem update fu.